/*===============================================================================
タイトル
================================================================================*/

/*===============================================================================
自動折り返しテキスト
================================================================================*/
.c-auto-wrap > * {
	display: inline-block;
}

/*===============================================================================
注釈テキスト
================================================================================*/
.c-note {
	display: flex;
}
.c-note::before {
	content: "※";
}
.c-note.--inline {
	display: inline-flex;
}

/*===============================================================================
リボン
================================================================================*/
.c-ribbon-wrap {
	display: inline-block;
}
.c-ribbon {
	display: inline-block;
	background: var(--c-main);
	color: var(--c-light);
	padding: .6em 2.5em;
	clip-path: polygon(0 0, 100% 0, calc(100% - 2rem) 50%, 100% 100%, 0 100%, 2rem 50%);
}
.c-ribbon-wrap.--has-shdw {
	filter: drop-shadow(0 6px 0 rgba(250, 211, 227, 1));
}
.c-ribbon-wrap.--grad .c-ribbon {
	background: var(--c-gradient);
}

/*===============================================================================
枠線エリア
================================================================================*/
.c-borderArea {
	padding: var(--g--sm) var(--g--md);
	border: 1px solid var(--c-gray);
}

/*===============================================================================
縁取りテキスト
================================================================================*/
.c-blur {
	--c-current: var(--c-main);
	--position: 2px;
	--blur: 1.5px;
	text-shadow:
		var(--position) var(--position) var(--blur) var(--c-current),
		calc(var(--position) * -1) calc(var(--position) * -1) var(--blur)
			var(--c-current),
		calc(var(--position) * -1) var(--position) var(--blur) var(--c-current),
		var(--position) calc(var(--position) * -1) var(--blur) var(--c-current),
		0 var(--position) var(--blur) var(--c-current),
		0 calc(var(--position) * -1) var(--blur) var(--c-current),
		calc(var(--position) * -1) 0 var(--blur) var(--c-current),
		var(--position) 0 var(--blur) var(--c-current);
}

